MCP Tools Reference: ces.googleapis.com

Tool: delete_deployment

Deletes the specified deployment.

The following sample demonstrate how to use curl to invoke the delete_deployment MCP tool.

Curl Request
                  
curl --location 'https://ces.[REGION].rep.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "delete_deployment",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request message for AgentService.DeleteDeployment.

DeleteDeploymentRequest

JSON representation
{
  "name": string,
  "etag": string
}
Fields
name

string

Required. The name of the deployment to delete. Format: projects/{project}/locations/{location}/apps/{app}/deployments/{deployment}

etag

string

Optional. The etag of the deployment. If an etag is provided and does not match the current etag of the deployment, deletion will be blocked and an ABORTED error will be returned.

Output Schema

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo {
  rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);
}

Tool Annotations

Destructive Hint: ✅ | Idempotent Hint: ❌ | Read Only Hint: ❌ | Open World Hint: ❌